import java.awt.*;
import java.awt.image.*;
import java.awt.event.*;
import javax.swing.*;
import com.sun.image.codec.jpeg.*;
import java.io.*;

public class NewOMAdventure extends JFrame {
    
    private JPanel theStuff;
    private JPanel options;
    private JTextArea adventure;
    private JTextField data;
    private JButton magic;
    private JButton doIt;
    private JButton optionOne;
    private JButton optionTwo;
    private JButton optionThree;
    private JButton optionFour;
    private JButton optionFive;
    private JButton optionSix;
    private JButton optionSeven;
    private JButton optionEight;
    private JButton optionNine;
    private final String folder = "C:\\Presentation Pics\\";
    private Image empty;
    private Image magicIcon;
    private String taFont = "Welcome To OMAdventure...\n\nThe Best Choose Your Own Adventure " +
    "Game Available";
    
    public NewOMAdventure() {
        
        super("OMAdventure v1.0");
        Container conPane = getContentPane();
        (theStuff = new JPanel()).setLayout(new BorderLayout());
        (options = new JPanel()).setLayout(new GridLayout(3,3));
        adventure = new JTextArea();
        adventure.setLineWrap(true);
        adventure.setEditable(false);
        adventure.setText(taFont);
        theStuff.add(adventure, BorderLayout.NORTH);
        data = new JTextField("Enter starting point");
        theStuff.add(data, BorderLayout.SOUTH);
        magic = new JButton("Magic");
        magic.setVerticalTextPosition(SwingConstants.BOTTOM);
        magic.setHorizontalTextPosition(SwingConstants.CENTER);
        //theStuff.add(magic, BorderLayout.SOUTH);
        doIt = new JButton("DO IT");
        //theStuff.add(doIt, BorderLayout.SOUTH);
        magic.setIcon(new ImageIcon(folder + "hplogo.jpg"));
        //magic.setPreferredSize(new Dimension(100,100));
        theStuff.add(magic, BorderLayout.SOUTH);
        conPane.setBorder(BorderFactory.createEmptyBorder());
        //magic.setIcon(new ImageIcon(magicIcon));
        conPane.add(theStuff, BorderLayout.NORTH);
        setSize(800,800);
        setVisible(true);
    }
    
    private static BufferedImage loadImage( String fileName ) throws IOException {
        InputStream in = new FileInputStream( fileName );
        JPEGImageDecoder decoder = JPEGCodec.createJPEGDecoder( in );
        return decoder.decodeAsBufferedImage();
    }
    
    public static void main(String[] args) {
        
        NewOMAdventure myAdventure = new NewOMAdventure();
        myAdventure.setDefaultCloseOperation(EXIT_ON_CLOSE);
    }
}
