package OMAdventure.GUI;

import java.util.HashMap;
import java.util.Vector;
import java.util.Collection;
import java.util.Iterator;
import java.io.*;

public class Words {

	HashMap nodes;

	public Words () {
		nodes = new HashMap();
		addFromFile();
	}

	public void addWords(String word1, String word2) {
		if (!nodes.containsKey(word1)) {
			nodes.put(word1,new Word(word1));	
		}
		((Word)nodes.get(word1)).addForward(word2);	
		
		if (!nodes.containsKey(word2)) {
			nodes.put(word2,new Word(word2));
		}
		((Word)nodes.get(word2)).addBackward(word1);
	}

	public void addAntiWords(String word1, String word2) {
		if (!nodes.containsKey(word1)) {
			nodes.put(word1,new Word(word1));	
		}
		((Word)nodes.get(word1)).addNForward(word2);	
		
		if (!nodes.containsKey(word2)) {
			nodes.put(word2,new Word(word2));
		}
		((Word)nodes.get(word2)).addNBackward(word1);
	}

	public Vector getParents(String word1) {
		if (nodes.containsKey(word1)) {
			return ((Word)nodes.get(word1)).getForwards();
		}
		else return null;
	}
	
	public Vector getChildren(String word1) {
		if (nodes.containsKey(word1)) {
			return ((Word)nodes.get(word1)).getBackwards();
		}
		else return null;
	}

	public Vector getAntiParents(String word1) {
		if (nodes.containsKey(word1)) {
			return ((Word)nodes.get(word1)).getNForwards();
		}
		else return null;
	}
	
	public Vector getAntiChildren(String word1) {
		if (nodes.containsKey(word1)) {
			return  ((Word)nodes.get(word1)).getNBackwards();
		}
		else return null;
	}
		
	private void addFromFile() {
		try {
			 BufferedReader br = new BufferedReader(new FileReader("OMData.txt"));
		String line;
		line = br.readLine();
		while (line != null) {
			//System.out.println(line);
			int m = 4;
			int [] ind = new int[m];
			String [] str = new String [m];
			str[0] = "is sometimes found in a";
			ind[0] = line.indexOf(str[0]);
			str[1] = "is often found in a";
			ind[1] = line.indexOf(str[1]);
			str[2] = "is rarely found in a";
			ind[2] = line.indexOf(str[2]);
			str[3] = "is always found in a";
			ind[3] = line.indexOf(str[3]);
		   for (int i = 0; i < m; i++) {
			if (ind[i] != -1) {
				String word1 = line.substring(2,ind[i]-1);
				String word2 = line.substring(ind[i]+str[i].length()+1,line.length());
//				System.out.println("Adding: *" + word1 + "* *" + word2 + "*");
				addWords(word1,word2);
			}
		   }
		   int indB = line.indexOf("is never found in a");
		   if (indB != -1) {
				String word1 = line.substring(2,indB-1);
				String word2 = line.substring(indB+20,line.length());
//				System.out.println("Adding anti: *" + word1 + "* *" + word2 + "*");
				addAntiWords(word1,word2);
			}
			line = br.readLine();
		}		
		}
		catch (Exception Exc) {}
	}
}