//package OMAdventure.GUI;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.CompoundBorder;
import java.awt.image.*;
import java.net.URL;
import java.net.MalformedURLException;
import java.io.*;
import java.util.Vector;
import javax.media.*;

class Big extends JFrame {
    
    private JButton[] buttons;
    private JTextArea track;
    private JTextField chooser;
    private JLabel label;
    private JLabel curVol;
    private JButton magic;
    private JButton doIt;
    private JPanel stuff;
    private JPanel holder;
    private JPanel options;
    private JPanel all;
    private JPanel topOne;
    private JPanel locater;
    private JPanel controller;
    private JPanel worldCon;
    private Container conPane;
    private String taFont = "Welcome To OMAdventure...\n\nThe Best Choose Your Own " +
	"Adventure Game Available\n\n";
    private ImageIcon magicIcon;
    private ImageIcon emptyIcon;
    private JScrollPane bigScroll;
    private JLabel room;
    private JButton upArrow;
    private JButton downArrow;
    private JButton leftArrow;
    private JButton rightArrow;
    private JButton levelUp;
    private JButton playMusic;
    private JComboBox musicOpts;
    private JSlider volume;
    private String[] songs = {
	"2Pac-How Do U Want It",
	"311-You Wouldn't Believe",
	"Boyz II Men-Thank You",
	"Eminem-Lose Yourself", 
	"James-Laid",
	"Jennifer Lopez-Jenny From The Block",
	"Linkin Park-Papercut",
	"Lynyrd Skynyrd-Sweet Home Alabama",
	"Ozzy Osbourne-Crazy Train",
	"Police-Message In A Bottle",
	"Queen-Killer Queen",
	"Santana feat Rob Thomas-Smooth",
	"Savatage-Christmas Eve",
	"Scorpions-No One Like You",
	"Tiffany-I Think We're Alone Now",
	"Tonic-If You Could Only See",
	"Weezer-Buddy Holly",
	"Stop Player"
    };
    private FileWriter writer;
    private PrintWriter out;
    private boolean useMagic = false;
    private boolean addObject = false;
    private boolean addPlace = false;
    private boolean addCaueff = false;
    private String nStr = null;
    //private World myWorld;

    public Big() {
	
	//The Overall JFrame
	super("Final Project");
	conPane = getContentPane();
	conPane.setLayout(new GridLayout(1,1));
	
	//Creation of the world
	//myWorld = new World();
	stuff = new JPanel(new BorderLayout());
	topOne = new JPanel(new GridLayout(1,2));
	worldCon = new JPanel(new BorderLayout());
	worldCon.setBackground(Color.blue);
	track = new JTextArea(taFont);
	track.setLineWrap(true);
	track.setEditable(false);
	track.setBackground(Color.yellow);
	topOne.add(new JScrollPane(track));
	locater = new JPanel();
	locater.setLayout(new BorderLayout());
	room = new JLabel(Final.scaleImg(getPics("empty"), 250, 250));
	room.setBackground(Color.blue);
	locater.add(room, BorderLayout.CENTER);
	upArrow = new JButton(Final.scaleImg(getPics("Up Arrow"), 50, 50));
	upArrow.setBorderPainted(false);
	upArrow.setBackground(Color.blue);
	locater.add(upArrow, BorderLayout.NORTH);
	downArrow = new JButton(Final.scaleImg(getPics("Down Arrow"), 50, 50));
	downArrow.setBorderPainted(false);
	downArrow.setBackground(Color.blue);
	locater.add(downArrow, BorderLayout.SOUTH);
	leftArrow = new JButton(Final.scaleImg(getPics("Left Arrow"), 50, 50));
	leftArrow.setBorderPainted(false);
	leftArrow.setBackground(Color.blue);
	locater.add(leftArrow, BorderLayout.WEST);
	rightArrow = new JButton(Final.scaleImg(getPics("Right Arrow"), 50, 50));
	rightArrow.setBorderPainted(false);
	rightArrow.setBackground(Color.blue);
	locater.add(rightArrow, BorderLayout.EAST);
	levelUp = new JButton("Up One Level");
	levelUp.setFont(new Font("SanSerif", Font.BOLD+Font.ITALIC, 30));
	levelUp.setHorizontalTextPosition(SwingConstants.CENTER);
	levelUp.setBorderPainted(false);
	levelUp.setBackground(Color.blue);
	worldCon.add(levelUp, BorderLayout.NORTH);
	worldCon.add(locater, BorderLayout.CENTER);
	topOne.add(worldCon);
	stuff.add(topOne, BorderLayout.CENTER);
	label = new JLabel("Enter stuff here");
	label.setHorizontalAlignment(SwingConstants.LEFT);
	chooser = new JTextField("", 20);
	magicIcon = Final.scaleImg(getPics("Harry Potter"), 75, 75);
	emptyIcon = new ImageIcon(getPics("empty"));
	magic = new JButton(magicIcon);
	magic.setText("Magic");
	allign(magic);
	magic.setBackground(Color.cyan);
	magic.setBorderPainted(false);
	doIt = new JButton("DO IT!");
	doIt.setHorizontalTextPosition(SwingConstants.CENTER);
	doIt.setBackground(Color.cyan);
	doIt.setBorderPainted(false);
	musicOpts = new JComboBox(songs);
	musicOpts.setBackground(Color.cyan);
	musicOpts.setBorder(new CompoundBorder());
	playMusic = new JButton(Final.scaleImg(getPics("play music button"), 75, 75));
	playMusic.setText("Play Music");
	playMusic.setBackground(Color.cyan);
	playMusic.setBorderPainted(false);
	allign(playMusic);
	volume = new JSlider();
	volume.setBackground(Color.cyan);
	curVol = new JLabel("Volume: 50%");
	curVol.setHorizontalAlignment(SwingConstants.CENTER);
	controller = new JPanel(new GridLayout(3,1));
	controller.setBackground(Color.cyan);
	controller.add(musicOpts);
	controller.add(volume);
	controller.add(curVol);
	holder = new JPanel(new FlowLayout());
	holder.add(label);
	holder.add(chooser);
	holder.add(magic);
	holder.add(doIt);
	holder.add(controller);
	holder.add(playMusic);
	holder.setBackground(Color.cyan);
	stuff.add(holder, BorderLayout.SOUTH);
	options = new JPanel();
	options.setLayout(new GridLayout(3, 5));
	buttons = new JButton[15];
	for(int i = 0; i < buttons.length; i++) {
	    buttons[i] = new JButton("Option " + (i+1), emptyIcon);
	    allign(buttons[i]);
	    buttons[i].setBackground(Color.green);
	    buttons[i].setBorderPainted(false);
	    buttons[i].setVisible(false);
	    options.add(buttons[i]);
	}
	options.setBackground(Color.green);
	all = new JPanel();
	all.setLayout(new BorderLayout());
	all.add(stuff, BorderLayout.CENTER);
	all.add(options, BorderLayout.SOUTH);
	bigScroll = new JScrollPane(all, ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS, ScrollPaneConstants.HORIZONTAL_SCROLLBAR_AS_NEEDED);
	conPane.add(bigScroll);
	setSize(975, 975);
	setVisible(true);
	try {
	    writer = new FileWriter("OMData.txt", true);
	    out = new PrintWriter(writer);
	}
	catch(IOException e) {
	    System.out.println("Cannot create output file");
	}
	
	doIt.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    String s = chooser.getText();
		    if(getPics(s) != null) {
			buttons[0].setIcon(new ImageIcon(getPics(s)));
			buttons[0].setText(s);
			buttons[0].setVisible(true);
			for(int i = 1; i < 15; i++) 
			    buttons[i].setVisible(false);
		    }
		    else {
			buttons[0].setIcon(emptyIcon);
			buttons[0].setText("Option 1");
			for(int i = 0; i < 15; i++)
			    buttons[i].setVisible(false);
		    }
		}
	    });
	/*
	  doIt.addActionListener(new ActionListener() {
	  public void actionPerformed(ActionEvent e) {
	    Vector opts = findOptions();  //Will give me a vector of strings in order to set the buttons
	    fillButtons(opts);
	    setButtonAction();
	  }
	});
	*/  
	  /*
	  upArrow.addActionListener(new ActionListener() {
		  public void actionPerformed(ActionEvent e) {
		      //whatsAround will create a 4 element array of either type ImageIcon or Image.
		      //if it's ImageIcon, do nothing further here, if it's Image, comment out the first 
		      //line and uncomment the second.
		      myWorld.moveNorth();
		      String s = myWorld.getPlace();
		      room.setIcon(new ImageIcon(getPics(s)));
		      }
	      });
	  
	  rightArrow.addActionListener(new ActionListener() {
		  public void actionPerformed(ActionEvent e) {
		      //whatsAround will create a 4 element array of either type ImageIcon or Image.
		      //if it's ImageIcon, do nothing further here, if it's Image, comment out the first 
		      //line and uncomment the second.
		      myWorld.moveEast();
		      String s = myWorld.getPlace();
		      room.setIcon(new ImageIcon(getPics(s)));
		  }
	      });
	  
	  downArrow.addActionListener(new ActionListener() {
		  public void actionPerformed(ActionEvent e) {
		      //whatsAround will create a 4 element array of either type ImageIcon or Image.
		      //if it's ImageIcon, do nothing further here, if it's Image, comment out the first
		      //line  and uncomment the second.
		      myWorld.moveSouth();
		      String s = myWorld.getPlace();
		      room.setIcon(new ImageIcon(getPics(s)));
		  }
	      });
	  
	  leftArrow.addActionListener(new ActionListener() {
		  public void actionPerformed(ActionEvent e) {
		      //whatsAround will create a 4 element array of either type ImageIcon or Image.
		      //if it's ImageIcon, do nothing further here, if it's Image, comment out the first
		      //line and uncomment the second.
		      myWorld.moveWest();
		      String s = myWorld.getPlace();
		      room.setIcon(new ImageIcon(getPics(s)));
		  }
	      });
	  */
	  
	  playMusic.addActionListener(new ActionListener() {
		  public void actionPerformed(ActionEvent e) {
		      String s = (String)musicOpts.getSelectedItem();
		      if(s.equals(songs[songs.length-1]))
			  Final.stopMP3();
		      else {
			  float v = volume.getValue() / 100.0F;
			  Final.playMP3(new File(s + ".mp3"));
			  Final.changeVol(v);
		      }
		  }
	      });
	  
	  volume.addChangeListener(new ChangeListener() {
		  public void stateChanged(ChangeEvent e) {
		      float v = volume.getValue() / 100.0F;
		      Final.changeVol(v);
		      curVol.setText("Volume: " + volume.getValue() + "%");
		  }
	      });
	  
	  magic.addActionListener(new ActionListener() {
		  public void actionPerformed(ActionEvent e) {
		      track.append("Are you adding a new object, room, or cause/effect?\n");
		      buttons[0].setIcon(new ImageIcon(getPics("Object")));
		      buttons[0].setText("Add Object");
		      buttons[0].setVisible(true);
		      allign(buttons[0]);
		      buttons[1].setIcon(new ImageIcon(getPics("Place")));
		      buttons[1].setText("Add Place");
		      buttons[1].setVisible(true);
		      allign(buttons[1]);
		      buttons[2].setIcon(new ImageIcon(getPics("Cause and Effect")));
		      buttons[2].setText("Cause/Effect");
		      buttons[2].setVisible(true);
		      allign(buttons[2]);
		      for(int i = 3; i < 15; i++)
			  buttons[i].setVisible(false);
		      useMagic = true;
		      setButtonAction();
		  }
	      });
    }
	  
    private void setButtonAction() {
	
	  for(int i = 0; i < buttons.length; i++) {
	      ActionListener[] al = buttons[i].getActionListeners();
	      for(int j = 0; j < al.length; j++) {
		  buttons[i].removeActionListener(al[j]);
	      }
	      if(buttons[i].isVisible()) {
		  buttons[i].addActionListener(new ActionListener() {
			  public void actionPerformed(ActionEvent e) {
			      if(addObject) {
				  if(((JButton)e.getSource()).equals(buttons[0]))
				      nStr += " is always ";
				  else if(((JButton)e.getSource()).equals(buttons[1]))
				      nStr += " is sometimes ";
				  else if(((JButton)e.getSource()).equals(buttons[2]))
				      nStr += " is rarely ";
				  else if(((JButton)e.getSource()).equals(buttons[3]))
				      nStr += " is never ";
				  nStr += "found in ";// + myWorld.getPlace();
				  track.append(nStr + " was added to OMCS\n");
				  out = new PrintWriter(writer);
				  out.println(nStr);
				  out.close();
				  useMagic = false;
				  addObject = false;
			      }
			      else if(addPlace) {
				  if(((JButton)e.getSource()).equals(buttons[0]))
				      nStr += " is far from ";
				  else if(((JButton)e.getSource()).equals(buttons[1]))
				      nStr += " is close to ";
				  //nStr += myWorld.getPlace();
				  track.append(nStr + " was added to OMCS\n");
				  out = new PrintWriter(writer);
				  out.println(nStr);
				  out.close();
				  useMagic = false;
				  addPlace = false;
			      }
			      else if(addCaueff) {
				  if(((JButton)e.getSource()).equals(buttons[0])) {
				      nStr += " causes " + chooser.getText();
				  }
				  if(((JButton)e.getSource()).equals(buttons[1])) {
				      nStr += " effects " + chooser.getText();
				  }
				  track.append(nStr + " was added to OMCS\n");
				  out = new PrintWriter(writer);
				  out.println(nStr);
				  out.close();
				  useMagic = false;
				  addCaueff = false;
			      }
			      else if(useMagic) {
				  if(((JButton)e.getSource()).equals(buttons[0])) {
				      nStr = "A " + chooser.getText();
				      track.append(nStr + " is always, sometimes, rarely or never in " +
						   "\n");//myWorld.getPlace() + "\n");
				      buttons[0].setIcon(new ImageIcon(getPics("Always")));
				      buttons[0].setText("Always");
				      buttons[0].setVisible(true);
				      allign(buttons[0]);
				      buttons[1].setIcon(new ImageIcon(getPics("Sometimes")));
				      buttons[1].setText("Sometimes");
				      buttons[1].setVisible(true);
				      allign(buttons[1]);
				      buttons[2].setIcon(new ImageIcon(getPics("Rarely")));
				      buttons[2].setText("Rarely");
				      buttons[2].setVisible(true);
				      allign(buttons[2]);
				      buttons[3].setIcon(new ImageIcon(getPics("Never")));
				      buttons[3].setText("Never");
				      buttons[3].setVisible(true);
				      allign(buttons[3]);
				      for(int i = 4; i < 15; i++)
					  buttons[i].setVisible(false);
				      addObject = true;
				  }
				  if(((JButton)e.getSource()).equals(buttons[1])) {
				      nStr = chooser.getText();
				      track.append(nStr + " is far from or close to " + 
						   "\n");//myWorld.getPlace() + "\n");
				      buttons[0].setIcon(new ImageIcon(getPics("Far")));
				      buttons[0].setText("Far From");
				      buttons[0].setVisible(true);
				      allign(buttons[0]);
				      buttons[1].setIcon(new ImageIcon(getPics("Close")));
				      buttons[1].setText("Close To");
				      buttons[1].setVisible(true);
				      allign(buttons[1]);
				      for(int i = 2; i < 15; i++)
					  buttons[i].setVisible(false);
				      addPlace = true;
				  }
				  else if(((JButton)e.getSource()).equals(buttons[2])) {
				      nStr = chooser.getText();
				      track.append(nStr + " has a cause or effect");
				      buttons[0].setIcon(new ImageIcon(getPics("Cause")));
				      buttons[0].setText("Causes");
				      buttons[0].setVisible(true);
				      allign(buttons[0]);
				      buttons[1].setIcon(new ImageIcon(getPics("Effect")));
				      buttons[1].setText("Effects");
				      buttons[1].setVisible(true);
				      allign(buttons[1]);
				      for(int i = 2; i < 15; i++) 
					  buttons[i].setVisible(false);
				      addCaueff = true;
				  }
			      }
			      else {/*
				      Vector acts = doAction(); 
				      //Will be the action the button is supposed to perform
				      //returns a Vector where the first element is the string needed to be 
				      //added to the JTextArea the rest are strings to fill the buttons images
				      track.append((String)acts.remove(0));
				      fillButtons(acts); */
			      }
			  }
		      });
	      }
	  }
    }

    private void allign(JButton b) {
	b.setHorizontalTextPosition(SwingConstants.CENTER);
	b.setVerticalTextPosition(SwingConstants.BOTTOM);
    }
    
    private void fillButtons(Vector v) {
	int total = v.size();
	if(total >= 15) {
	    total = 15;
	    for(int i = 0; i < total; i++) {
		String s = (String)v.get(i);
		Image img = getPics(s);
		if(img != null) {
		    buttons[i].setIcon(new ImageIcon(img));
		    buttons[i].setText(s);
		    buttons[i].setVisible(true);
		}
		else {
		    buttons[i].setIcon(emptyIcon);
		    buttons[i].setText("Option " + (i+1));
		    buttons[i].setVisible(false);
		}
	    }
	}
	else {
	    int rest = 15 - total;
	    for(int i = 0; i < total; i++) {
		String s = (String)v.get(i);
		Image img = getPics(s);
		if(img != null) {
		    buttons[i].setIcon(new ImageIcon(img));
		    buttons[i].setText(s);
		    buttons[i].setVisible(true);
		}
		else {
		    buttons[i].setIcon(emptyIcon);
		    buttons[i].setText("Option " + (i+1));
		    buttons[i].setVisible(false);
		}
	    }
	    for(int j = 0; j < rest; j++) {
		buttons[total+j].setIcon(emptyIcon);
		buttons[total+j].setText("Option " + (total+j+1));
		buttons[total+j].setVisible(false);
	    }
	}
    }
    
    public Image getPics(String c) {
	URL url = null;
	c =	c.replace(' ','+');
	String strURL = "http://www.altavista.com/image/results?q=" + c + "&avkw=qtrp";
	try {
	    url = new URL(strURL);
	}
	catch(MalformedURLException e) {
	    e.printStackTrace();
	    return null;
	}
	try {
	    Object content = url.getContent();
	    BufferedReader reader = new BufferedReader(new
		InputStreamReader((InputStream) content));
	    String line;
	    StringBuffer stbuf = new StringBuffer();
	    while ((line = reader.readLine()) != null) {
		stbuf.append(line + "\n");
	    }
	    String content1 = stbuf.toString();
	    int start = content1.indexOf("\u003B\"><img src")+13;
	    int finish = content1.indexOf("\"",start+1);
	    String strURL2 = content1.substring(start,finish);
	    URL url2 = new URL(strURL2);
	    return createImage( (ImageProducer) url2.getContent());
	}
	catch(IOException e) {
	    e.printStackTrace();
	    return null;
	}
    }    
}

public class Final {
    private static Player pb = null;
    private static GainControl gc = null;
    
    public static ImageIcon scaleImg(Image i, int w, int h) {
	Image si = i.getScaledInstance(w, h, Image.SCALE_SMOOTH);
	return new ImageIcon(si);
    }
    
    public static void playMP3(File file) {
	try {
	    if(pb != null) {
		pb.stop();
		pb.close();
		pb = null;
	    }
	    MediaLocator ml = new MediaLocator(file.toURL());
	    pb = Manager.createRealizedPlayer(ml);
	    pb.start();
	    gc = pb.getGainControl();
	}
	catch(MalformedURLException u) {
	    System.out.println("Bad URL name");
	}
	catch(javax.media.NoPlayerException npe) {
	    System.out.println("No player available");
	}
	catch(javax.media.CannotRealizeException cre) {
	    System.out.println("Cannont Realize the player");
	}
	catch(IOException i) {
	    System.out.println("IO Exception");
	}
    }

    public static void changeVol(float f) {
	gc.setLevel(f);
    }
    
    public static void stopMP3() {
	pb.stop();
	pb.close();
	pb = null;
    }

    public static void main(String[] args) {

	Big itsBig = new Big();
	itsBig.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }
}


