package OMAdventure;

import java.util.Vector;
import java.util.Collection;
import java.util.Iterator;

public class Location {

	String place;
	boolean n,s,e,w,p,c;
	String north;
	String south;
	String east;
	String west;
	String parent;
	Vector children;

	public Location (String plac) {
		place = plac;
		n=s=e=w=p=false;
		north=south=east=west=parent=null;
		children = new Vector();
	}

	public String getPlace() {
		return place;
	}

	public boolean hasSouth() {
		return s;
	}

	public boolean hasNorth() {
		return n;
	}

	public boolean hasChildren() {
		return c;
	}

	public boolean hasEast() {
		return e;
	}

	public boolean hasWest() {
		return w;
	}

	public boolean hasParent() {
		return p;
	}

	public Vector getChildren() {
		return children;
	}

	public String getParent() {
		return parent;
	}

	public String getSouth() {
		return south;
	}

	public String getNorth() {
		return north;
	}

	public String getEast() {
		return east;
	}

	public String getWest() {
		return west;
	}

	public void addChildren(Vector v) {
		Iterator viter = v.iterator();
		while (viter.hasNext()) {
			String stplace = (String) viter.next();
			if (!children.contains(stplace)) {
				children.add(stplace);
				c = true;
			}
		}
	}

	public void addChild(String child) {
		if (!children.contains(child)) {
			c = true;
			children.add(0,child);
		}
	}

	public void setParent(String par) {
		p = true;
		parent = par;
	}

	public void setSouth(String sth) {
		s = true;
		south = sth;
	}

	public void setNorth(String nor) {
		n = true;
		north = nor;
	}

	public void setEast(String est) {
		e = true;
		east = est;
	}

	public void setWest(String wst) {
		w = true;
		west = wst;
	}

}