package OMAdventure.omcs;

import java.util.HashMap;
import java.util.Vector;
import java.util.Collection;
import java.util.Iterator;

public class Nodes {

	HashMap nodes;

	public Nodes () {
		nodes = new HashMap();
		nodes.put(new Boolean(true),new HashMap());
		nodes.put(new Boolean(false),new HashMap());
	}

	public void addNode(String type2, boolean dir, String pro, String phr) {
			String type = type2;
			if ((type2.charAt(type2.length()-1) >= '0') && (type2.charAt(type2.length()-1) <= '9')) {
				type = type2.substring(0,type2.length()-1);
			}
			HashMap dirVec = (HashMap) nodes.get(new Boolean(dir));
			Vector typeVec;
			if (!dirVec.containsKey(type)) {
				dirVec.put(type,new Vector());
			}
			typeVec = (Vector) dirVec.get(type);
			Node node = new Node(pro,phr);
			if (!typeVec.contains(node)) {
				typeVec.add(node);
			}
	}

	public boolean hasType(String type2, boolean dir) {
		String type = type2;
		if ((type2.charAt(type2.length()-1) >= '0') && (type2.charAt(type2.length()-1) <= '9')) {
			type = type2.substring(0,type2.length()-1);
		}
		if (! ((HashMap)nodes.get(new Boolean(dir))).containsKey(type)) {
			return false;
		}
		return true;
	}

	public Collection getTypes(boolean dir) {
		 return (Collection)((HashMap)nodes.get(new Boolean(dir))).keySet();
	}
	
	public Vector getProperties(String type2,boolean dir) {
		String type = type2;
		if ((type2.charAt(type2.length()-1) >= '0') && (type2.charAt(type2.length()-1) <= '9')) {
			type = type2.substring(0,type2.length()-1);
		}
		HashMap dirVec = (HashMap) nodes.get(new Boolean(dir));
		Vector propVec = new Vector();
		if (!dirVec.containsKey(type)) {
			return null;
		}
		else {
			Vector typeVec = (Vector) dirVec.get(type);
			Iterator iter = typeVec.iterator();
			while (iter.hasNext()) {
				Node nn = (Node) iter.next();
				propVec.add(nn.getProperty());
			}
		}
		return propVec;
	}

	public Vector getPhrases(String type2,boolean dir) {
		String type = type2;
		if ((type2.charAt(type2.length()-1) >= '0') && (type2.charAt(type2.length()-1) <= '9')) {
			type = type2.substring(0,type2.length()-1);
		}
		HashMap dirVec = (HashMap) nodes.get(new Boolean(dir));
		Vector phrVec = new Vector();
		if (!dirVec.containsKey(type)) {
			return null;
		}
		else {
			Vector typeVec = (Vector) dirVec.get(type);
			Iterator iter = typeVec.iterator();
			while (iter.hasNext()) {
				Node nn = (Node) iter.next();
				phrVec.add(nn.getProperty());
			}
		}
		return phrVec;
	}

	public String toString() {
		StringBuffer sb = new StringBuffer();
		for (int i = 0; i < 2; i++) {
			Collection types;
			HashMap dirVec;
			if (i==0) {
				sb.append("\n\nForward Nodes:\n");
				types = (Collection)((HashMap)nodes.get(new Boolean(true))).keySet();
				dirVec = (HashMap)nodes.get(new Boolean(true));
			}
			else {
				sb.append("\n\nBackward Nodes:\n");
				types = (Collection)((HashMap)nodes.get(new Boolean(false))).keySet();				
				dirVec = (HashMap)nodes.get(new Boolean(false));
			}
			Iterator iter = types.iterator();
			while (iter.hasNext()) {
				String type = (String) iter.next();		
				sb.append("\t" + type + "\n");
				Vector typeVec = (Vector) dirVec.get(type);
				Iterator iter2 = typeVec.iterator();
				while (iter2.hasNext()) {
					Node nn = (Node) iter2.next();
					sb.append("\t\t" + nn.toString() + "\n");
				}				
			}
		}
		return sb.toString();
	}
}